<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<groupId>com.prolog.upcloud</groupId>
	<artifactId>upcloud-base-wh-inbound</artifactId>
	<version>1.0.0.QINGNIU-SNAPSHOT</version>
	<packaging>pom</packaging>
	<modules>
		<module>upcloud-base-wh-inbound-service</module>
		<module>upcloud-base-wh-inbound-facade</module>
	</modules>
	<properties>
        <!-- <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding> -->

        <prolog.wms.version>2.0.1.std.RELEASE</prolog.wms.version>
		<skipTests>true</skipTests>
    </properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.prolog.framework</groupId>
				<artifactId>plg-fx-parent</artifactId>
				<version>2.1.0.release</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>com.prolog.upcloud</groupId>
				<artifactId>upcloud-base-wh-inbound-facade</artifactId>
				<version>${project.version}</version>
			</dependency>
			<dependency>
				<groupId>com.prolog.wms</groupId>
				<artifactId>prolog-common-base</artifactId>
				<version>${prolog.wms.version}</version>
			</dependency>
			<dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>base-wh-control-facade</artifactId>
				<version>3.0.1-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.prolog.upcloud</groupId>
                <artifactId>base-chain-facade</artifactId>
				<version>1.0.0-SNAPSHOT</version>
            </dependency>
		</dependencies>
	</dependencyManagement>

	<distributionManagement>
		<repository>
			<id>releases</id>
			<url>http://192.168.0.167:8081/repository/releases/</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://192.168.0.167:8081/repository/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>
	<!-- cp /data/docker/* /data/project/kzy-oms/upcloud-base-wh-inbound
cd /data/project/kzy-oms/upcloud-base-wh-inbound
sh /data/project/kzy-oms/upcloud-base-wh-inbound/up-for-docker.sh upcloud-base-wh-inbound 1.0.0 prod -->
<!-- cp /home/std/docker/* /home/std/project/kzy-oms/upcloud-base-wh-inbound
cd /home/std/project/kzy-oms/upcloud-base-wh-inbound
sh /home/std/project/kzy-oms/upcloud-base-wh-inbound/up-for-docker.sh upcloud-base-wh-inbound 1.0.0 prod -->
</project>